> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# This endpoint returns the data of order.

> This endpoint returns the data of order.



## OpenAPI

````yaml /dln-details/swagger/create-tx.json get /v1.0/dln/order/{id}
openapi: 3.0.0
info:
  title: deBridge Liquidity Network (DLN) API
  description: >-
    A turnkey solution for a high-performance cross-chain trading<br><br><a
    href="https://docs.debridge.finance/dln-the-debridge-liquidity-network-protocol/interacting-with-the-api/quick-start-guide">Quick
    Start Guide</a>
  version: 1.0.0
  contact: {}
  termsOfService: https://app.debridge.finance/assets/files/DLN-TermsOfService.pdf
servers:
  - url: https://dln.debridge.finance
security: []
tags: []
externalDocs:
  description: DLN API documentation
  url: >-
    https://docs.debridge.finance/dln-the-debridge-liquidity-network-protocol/introduction
paths:
  /v1.0/dln/order/{id}:
    get:
      tags:
        - DLN
      summary: This endpoint returns the data of order.
      description: This endpoint returns the data of order.
      operationId: DlnOrderControllerV10_getOrder
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: The request has succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DlnOrderResponse'
        '400':
          description: >
            The request is malformed, has missing parameters, or has incorrect
            or contradicting parameter values. Possible error ids: 
              
                    - INVALID_QUERY_PARAMETERS
              
              
                    - UNKNOWN_ORDER
              
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '500':
          description: >
            The server has encountered a situation it does not know how to
            handle. Possible error ids: 
              
                    - INTERNAL_SERVER_ERROR
              
              
                    - INTERNAL_SDK_ERROR
              
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    DlnOrderResponse:
      type: object
      properties:
        orderId:
          type: string
          example: '0x997cde21a489d060dd83c897c7e69bc5aa3d56398cc1129fbe34f3bc439b6db9'
        status:
          type: string
          enum:
            - None
            - Created
            - Fulfilled
            - SentUnlock
            - OrderCancelled
            - SentOrderCancel
            - ClaimedUnlock
            - ClaimedOrderCancel
          example: Fulfilled
        externalCallState:
          type: string
          enum:
            - NoExtCall
            - AwaitingOrderFulfillment
            - AwaitingExecution
            - Executing
            - Completed
            - Failed
            - Cancelled
          example: AwaitingOrderFulfillment
        orderStruct:
          $ref: '#/components/schemas/OrderStruct'
      required:
        - orderId
        - status
        - orderStruct
    BadRequestResponse:
      type: object
      properties:
        errorCode:
          type: integer
        errorId:
          type: string
          enum:
            - INVALID_QUERY_PARAMETERS
            - SOURCE_AND_DESTINATION_CHAINS_ARE_EQUAL
            - INCLUDED_GAS_FEE_NOT_COVERED_BY_INPUT_AMOUNT
            - INCLUDED_GAS_FEE_CANNOT_BE_ESTIMATED_FOR_TRANSACTION_BUNDLE
        errorMessage:
          type: string
        errorPayload:
          type: object
      required:
        - errorCode
        - errorId
        - errorMessage
        - errorPayload
    InternalServerErrorResponse:
      type: object
      properties:
        errorCode:
          type: integer
        errorId:
          type: string
          enum:
            - INTERNAL_SERVER_ERROR
            - INTERNAL_SDK_ERROR
        errorMessage:
          type: string
        errorPayload:
          type: object
      required:
        - errorCode
        - errorId
        - errorMessage
        - errorPayload
    OrderStruct:
      type: object
      properties:
        makerOrderNonce:
          type: integer
          example: 0
        makerSrc:
          type: string
          example: '0xfa80cd9b3becc0b4403b0f421384724f2810775f'
        giveOffer:
          $ref: '#/components/schemas/Offer'
        receiverDst:
          type: string
          example: '0xfa80cd9b3becc0b4403b0f421384724f2810775f'
        takeOffer:
          $ref: '#/components/schemas/Offer'
        givePatchAuthoritySrc:
          type: string
          example: '0xfa80cd9b3becc0b4403b0f421384724f2810775f'
        orderAuthorityAddressDst:
          type: string
          example: '0xfa80cd9b3becc0b4403b0f421384724f2810775f'
        allowedTakerDst:
          type: string
          example: '0xfa80cd9b3becc0b4403b0f421384724f2810775f'
        allowedCancelBeneficiarySrc:
          type: string
          example: '0xfa80cd9b3becc0b4403b0f421384724f2810775f'
        externalCall:
          type: string
      required:
        - makerOrderNonce
        - makerSrc
        - giveOffer
        - receiverDst
        - takeOffer
        - givePatchAuthoritySrc
        - orderAuthorityAddressDst
        - allowedTakerDst
        - allowedCancelBeneficiarySrc
        - externalCall
    Offer:
      type: object
      properties:
        chainId:
          type: string
          enum:
            - '1'
            - '10'
            - '56'
            - '137'
            - '8453'
            - '42161'
            - '43114'
            - '59144'
            - '7565164'
            - '100000001'
            - '100000002'
            - '100000008'
            - '100000009'
            - '100000013'
            - '100000014'
            - '100000017'
            - '100000019'
            - '100000020'
            - '100000021'
            - '100000022'
            - '100000023'
            - '100000025'
            - '100000026'
            - '100000027'
            - '100000028'
            - '100000029'
            - '100000030'
            - '100000031'
        tokenAddress:
          type: string
          example: '0xff970a61a04b1ca14834a43f5de4533ebddb5cc8'
        amount:
          type: integer
          example: '48039251898'
      required:
        - chainId
        - tokenAddress
        - amount

````